using System.Collections.Generic;

namespace GestionIntegral.Api.Dtos.Reportes
{
    public class ReporteCuentasDistribuidorResponseDto
    {
        public IEnumerable<BalanceCuentaDistDto> EntradasSalidas { get; set; } = new List<BalanceCuentaDistDto>();
        public IEnumerable<BalanceCuentaDebCredDto> DebitosCreditos { get; set; } = new List<BalanceCuentaDebCredDto>();
        public IEnumerable<BalanceCuentaPagosDto> Pagos { get; set; } = new List<BalanceCuentaPagosDto>();
        public IEnumerable<SaldoDto> Saldos { get; set; } = new List<SaldoDto>(); // O podría ser SaldoDto SaldoActual si siempre es uno
        public string? NombreDistribuidor { get; set; } // Para el título del reporte
        public string? NombreEmpresa { get; set; } // Para el título del reporte
    }
}